Ubuntu 20.04 python report lab not possible to install Print driver with advanced features not installable

I try to install an advanced print-driver for Kyocera TASKalfa 3252ci.

The Problem is that python-reportlab is not installable for Ubuntu 20.04 LTS.


There is only python3-reportlab but this is not working with that print-driver.

Also python-is-python2 and python-is-python3 are not working.


Is there a possibility to fix this problem?

Terminal:

$ sudo dpkg -i kyodialog_5.0-0_amd64.deb 

(Reading database ... 275586 files and directories currently installed.)
Preparing to unpack kyodialog_5.0-0_amd64.deb ...
Unpacking kyodialog (5.0-0) over (5.0-0) ...
dpkg: dependency problems prevent configuration of kyodialog:
 kyodialog depends on python; however:
  Package python is not installed.
 kyodialog depends on python-reportlab; however:
  Package python-reportlab is not installed.

dpkg: error processing package kyodialog (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for dbus (1.12.16-2ubuntu2.1) ...
Errors were encountered while processing:
 kyodialog

This Post Has One Comment

  1. No Fault

    Many thanks. Solved the problem.

    sudo apt-get install python-is-python2

    Download python-report lab & python-report lab-accel

    wget http://de.archive.ubuntu.com/ubuntu/pool/universe/p/python-reportlab/python-reportlab_3.5.23-1ubuntu0.1_all.deb

    wget http://de.archive.ubuntu.com/ubuntu/pool/universe/p/python-reportlab/python-reportlab-accel_3.5.23-1ubuntu0.1_amd64.deb

    sudo apt install ./python-reportlab_3.5.23-1ubuntu0.1_all.deb ./python-reportlab-accel_3.5.23-1ubuntu0.1_amd64.deb
    Now it was possible to install the driver.

Leave a Reply